Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class TileEntitySkullRenderer

    java.lang.Object
      net.minecraft.src.TileEntitySpecialRenderer
          net.minecraft.src.TileEntitySkullRenderer

    public class TileEntitySkullRenderer

extends TileEntitySpecialRenderer

Field Summary
`static TileEntitySkullRenderer` | `skullRenderer`

Constructor Summary
`TileEntitySkullRenderer()`

Method Summary
`void` | `func_82393_a(float par1, float par2, float par3, int par4, float par5, int par6, String par7Str)`
`void` | `renderTileEntityAt(TileEntity par1TileEntity, double par2, double par4, double par6, float par8)`
`void` | `renderTileEntitySkullAt(TileEntitySkull par1TileEntitySkull, double par2, double par4, double par6, float par8)` Render a skull tile entity.
`void` | `setTileEntityRenderer(TileEntityRenderer par1TileEntityRenderer)` Associate a TileEntityRenderer with this TileEntitySpecialRenderer

Methods inherited from class net.minecraft.src.TileEntitySpecialRenderer
`getFontRenderer, onWorldChange`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### skullRenderer

    public static TileEntitySkullRenderer skullRenderer

Constructor Detail

### TileEntitySkullRenderer

    public TileEntitySkullRenderer()

Method Detail

### renderTileEntitySkullAt

    public void renderTileEntitySkullAt(TileEntitySkull par1TileEntitySkull,
                                        double par2,
                                        double par4,
                                        double par6,
                                        float par8)

  Render a skull tile entity.

### setTileEntityRenderer

    public void setTileEntityRenderer(TileEntityRenderer par1TileEntityRenderer)

  Associate a TileEntityRenderer with this TileEntitySpecialRenderer

  Overrides:
    `setTileEntityRenderer` in class `TileEntitySpecialRenderer`

### func_82393_a

    public void func_82393_a(float par1,
                             float par2,
                             float par3,
                             int par4,
                             float par5,
                             int par6,
                             String par7Str)

### renderTileEntityAt

    public void renderTileEntityAt(TileEntity par1TileEntity,
                                   double par2,
                                   double par4,
                                   double par6,
                                   float par8)

  Specified by:
    `renderTileEntityAt` in class `TileEntitySpecialRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD